package com.yd.base.api.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yd.base.feign.request.fieldvalue.ApiFieldValueAddRequest;
import com.yd.base.feign.request.fieldvalue.ApiFieldValueEditRequest;
import com.yd.base.feign.request.fieldvalue.ApiFieldValuePageRequest;
import com.yd.base.feign.response.fieldvalue.ApiFieldValueDetailResponse;
import com.yd.base.feign.response.fieldvalue.ApiFieldValuePageResponse;
import com.yd.common.result.Result;

public interface ApiFieldValueService {
    Result<IPage<ApiFieldValuePageResponse>> page(ApiFieldValuePageRequest request);

    Result add(ApiFieldValueAddRequest request);

    Result edit(ApiFieldValueEditRequest request);

    Result<ApiFieldValueDetailResponse> detail(String fieldValueBizId);

    Result del(String fieldValueBizId);
}
